org.keycloak.authentication.actiontoken

## Class ExplainedTokenVerificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.common.VerificationException
      - - org.keycloak.exceptions.TokenVerificationException
        - - org.keycloak.authentication.actiontoken.ExplainedTokenVerificationException

- All Implemented Interfaces:
    Serializable

      public class ExplainedTokenVerificationException
      extends TokenVerificationException

  Token verification exception that bears an error to be logged via event system and a message to show to the user e.g. via `ErrorPage.error()`.
  Author:
    hmlnarik
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExplainedTokenVerificationException(JsonWebToken token, ExplainedVerificationException cause)`
    `ExplainedTokenVerificationException(JsonWebToken token, String errorEvent)`
    `ExplainedTokenVerificationException(JsonWebToken token, String errorEvent, String message)`
    `ExplainedTokenVerificationException(JsonWebToken token, String errorEvent, String message, Throwable cause)`
    `ExplainedTokenVerificationException(JsonWebToken token, String errorEvent, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorEvent()`

    - ### Methods inherited from class org.keycloak.exceptions.TokenVerificationException

      `getToken`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExplainedTokenVerificationException

          public ExplainedTokenVerificationException(JsonWebToken token,
                                                     ExplainedVerificationException cause)

    - #### ExplainedTokenVerificationException

          public ExplainedTokenVerificationException(JsonWebToken token,
                                                     String errorEvent)

    - #### ExplainedTokenVerificationException

          public ExplainedTokenVerificationException(JsonWebToken token,
                                                     String errorEvent,
                                                     String message)

    - #### ExplainedTokenVerificationException

          public ExplainedTokenVerificationException(JsonWebToken token,
                                                     String errorEvent,
                                                     String message,
                                                     Throwable cause)

    - #### ExplainedTokenVerificationException

          public ExplainedTokenVerificationException(JsonWebToken token,
                                                     String errorEvent,
                                                     Throwable cause)

  - ### Method Detail

    - #### getErrorEvent

          public String getErrorEvent()

Copyright © 2021 JBoss by Red Hat. All rights reserved.